<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (9) on Mon May 17 00:11:59 CEST 2021 -->
<title>Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2021-05-17">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><span>SEARCH:&nbsp;</span>
<input type="text" id="search" value=" " disabled="disabled">
<input type="reset" id="reset" value=" " disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="exercise/algebra/BasicFractions.html#add-exercise.algebra.Fractional-">add(Fractional)</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/BasicFractions.html" title="class in exercise.algebra">BasicFractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Fractional.html#add-exercise.algebra.Fractional-">add(Fractional)</a></span> - Method in interface exercise.algebra.<a href="exercise/algebra/Fractional.html" title="interface in exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><a href="exercise/algebra/BasicFractions.html" title="class in exercise.algebra"><span class="typeNameLink">BasicFractions</span></a> - Class in <a href="exercise/algebra/package-summary.html">exercise.algebra</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/BasicFractions.html#BasicFractions--">BasicFractions()</a></span> - Constructor for class exercise.algebra.<a href="exercise/algebra/BasicFractions.html" title="class in exercise.algebra">BasicFractions</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="exercise/algebra/Rational.html#clone--">clone()</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/Rational.html" title="class in exercise.algebra">Rational</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="exercise/algebra/BasicFractions.html#div-exercise.algebra.Fractional-">div(Fractional)</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/BasicFractions.html" title="class in exercise.algebra">BasicFractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Fractional.html#div-exercise.algebra.Fractional-">div(Fractional)</a></span> - Method in interface exercise.algebra.<a href="exercise/algebra/Fractional.html" title="interface in exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="exercise/algebra/Rational.html#equals-java.lang.Object-">equals(Object)</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/Rational.html" title="class in exercise.algebra">Rational</a></dt>
<dd>&nbsp;</dd>
<dt><a href="exercise/algebra/package-summary.html">exercise.algebra</a> - package exercise.algebra</dt>
<dd>&nbsp;</dd>
<dt><a href="exercise/algebra/testing/package-summary.html">exercise.algebra.testing</a> - package exercise.algebra.testing</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><a href="exercise/algebra/Fractional.html" title="interface in exercise.algebra"><span class="typeNameLink">Fractional</span></a> - Interface in <a href="exercise/algebra/package-summary.html">exercise.algebra</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="exercise/algebra/Fractional.html#getD--">getD()</a></span> - Method in interface exercise.algebra.<a href="exercise/algebra/Fractional.html" title="interface in exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Rational.html#getD--">getD()</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/Rational.html" title="class in exercise.algebra">Rational</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Fractional.html#getN--">getN()</a></span> - Method in interface exercise.algebra.<a href="exercise/algebra/Fractional.html" title="interface in exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Rational.html#getN--">getN()</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/Rational.html" title="class in exercise.algebra">Rational</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="exercise/algebra/Rational.html#hashCode--">hashCode()</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/Rational.html" title="class in exercise.algebra">Rational</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="exercise/algebra/testing/RationalTesting.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class exercise.algebra.testing.<a href="exercise/algebra/testing/RationalTesting.html" title="class in exercise.algebra.testing">RationalTesting</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/BasicFractions.html#mul-exercise.algebra.Fractional-">mul(Fractional)</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/BasicFractions.html" title="class in exercise.algebra">BasicFractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Fractional.html#mul-exercise.algebra.Fractional-">mul(Fractional)</a></span> - Method in interface exercise.algebra.<a href="exercise/algebra/Fractional.html" title="interface in exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="exercise/algebra/BasicFractions.html#negation--">negation()</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/BasicFractions.html" title="class in exercise.algebra">BasicFractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Fractional.html#negation--">negation()</a></span> - Method in interface exercise.algebra.<a href="exercise/algebra/Fractional.html" title="interface in exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="exercise/algebra/Rational.html" title="class in exercise.algebra"><span class="typeNameLink">Rational</span></a> - Class in <a href="exercise/algebra/package-summary.html">exercise.algebra</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Rational.html#Rational-long-long-">Rational(long, long)</a></span> - Constructor for class exercise.algebra.<a href="exercise/algebra/Rational.html" title="class in exercise.algebra">Rational</a></dt>
<dd>&nbsp;</dd>
<dt><a href="exercise/algebra/testing/RationalTesting.html" title="class in exercise.algebra.testing"><span class="typeNameLink">RationalTesting</span></a> - Class in <a href="exercise/algebra/testing/package-summary.html">exercise.algebra.testing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/testing/RationalTesting.html#RationalTesting--">RationalTesting()</a></span> - Constructor for class exercise.algebra.testing.<a href="exercise/algebra/testing/RationalTesting.html" title="class in exercise.algebra.testing">RationalTesting</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/BasicFractions.html#reciprocal--">reciprocal()</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/BasicFractions.html" title="class in exercise.algebra">BasicFractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Fractional.html#reciprocal--">reciprocal()</a></span> - Method in interface exercise.algebra.<a href="exercise/algebra/Fractional.html" title="interface in exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="exercise/algebra/BasicFractions.html#setND-long-long-">setND(long, long)</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/BasicFractions.html" title="class in exercise.algebra">BasicFractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Rational.html#setND-long-long-">setND(long, long)</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/Rational.html" title="class in exercise.algebra">Rational</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/BasicFractions.html#sub-exercise.algebra.Fractional-">sub(Fractional)</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/BasicFractions.html" title="class in exercise.algebra">BasicFractions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="exercise/algebra/Fractional.html#sub-exercise.algebra.Fractional-">sub(Fractional)</a></span> - Method in interface exercise.algebra.<a href="exercise/algebra/Fractional.html" title="interface in exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="exercise/algebra/Rational.html#toString--">toString()</a></span> - Method in class exercise.algebra.<a href="exercise/algebra/Rational.html" title="class in exercise.algebra">Rational</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
